Bug 165657 - Hardware initialization configures bad text video mode
Hardware initialization configures bad text video mode
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-11 05:00 EDT by Philippe MENARD
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-03 17:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/X11/xorg.conf (2.88 KB, text/plain)
2005-08-17 13:21 EDT, Philippe MENARD
no flags Details
/var/log/Xorg.0.log for xorg.x11.6.8.2-45 (46.93 KB, text/plain)
2005-08-17 13:25 EDT, Philippe MENARD
no flags Details
/var/log/Xorg.0.log.old for xorg.x11.6.8.2-45 (47.12 KB, text/plain)
2005-08-17 13:29 EDT, Philippe MENARD
no flags Details

  None (edit)
Description Philippe MENARD 2005-08-11 05:00:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
Clean install of 2.6.12-1.1398_FC4 on Pentium III with Matrox G400 video card.
During boot, when the line "Initializing hardware : storage netview audio done" is displayed, between "audio" and "done", the kernel (?) configures a bad text video mode : 2 lines at the top and 3 lines at the bottom go off the screen. Also the text is distorted with a superb cushion effect. FC3 had no such problem. Should I install a package from FC3 to fix this problem ?

Version-Release number of selected component (if applicable):
FC4 2.6.12-1.1398

How reproducible:

Steps to Reproduce:
1. Clean install of FC4
2. Boot

Actual Results:  Text display is difficult to use since 5 lines are off the screen.

Expected Results:  Usable text display.

Additional info:

I had to rpm -i --force the FC3 xorg.x11 RPMs because the system kept hanging when trying to switch to video mode. Replacing libvgahw.a etc, made no difference.
Comment 1 Olivier Baudron 2005-08-11 07:15:02 EDT
Can you try xorg-x11-6.8.2-45 ?
Comment 2 Dave Jones 2005-08-11 18:36:43 EDT
what is 'netview' ?
Comment 3 Philippe MENARD 2005-08-12 04:44:58 EDT
IBM NetView is an SNMP based network monitoring platform similar to HP OpenView.
I manage servers running NetView every day and it seems that I can type netview
instead of network without even realizing ! 
The initialization steps should of course read "storage network audio done".
Cheers, Philippe.
Comment 4 Philippe MENARD 2005-08-16 09:01:22 EDT
Installed GLIBC 2.4 as required by xorg-x11-6.8.2-45 and all available xorg-x11-
*-6.8.2-45 modules (overkill I know). Same text mode problem as before. 

I can reconfigure my screen to see all the text lines, but this is a pain since 
I must reconfigure it again to take advantage of the available screen real 
estate while in graphical mode.

A great improvement however : since the upgrade, switching to graphical mode 
does work ; it used to fail twice for every three attempts (on average : 1 
reboot and 1 hang) since FC1 if memory serves. 

A wild thought : could this problem relate to US (60 Hz) vs European (50 Hz) 
monitor settings ? What is the difference since FC3 ?
Comment 5 Olivier Baudron 2005-08-16 09:56:17 EDT
Can you confirm that -37 works without distortion on your screen ?
Then would you attach /etc/X11/xorg.conf and /var/log/Xorg.0.log for -37 and -45 ?
Comment 6 Philippe MENARD 2005-08-17 13:21:58 EDT
Created attachment 117844 [details]
Comment 7 Philippe MENARD 2005-08-17 13:25:24 EDT
Created attachment 117845 [details]
/var/log/Xorg.0.log  for  xorg.x11.6.8.2-45
Comment 8 Philippe MENARD 2005-08-17 13:29:03 EDT
Created attachment 117846 [details]
/var/log/Xorg.0.log.old  for  xorg.x11.6.8.2-45

Notice differences between .log and .log.old. Intended behaviour ?
Comment 9 Philippe MENARD 2005-08-17 13:33:10 EDT
> Can you confirm that -37 works without distortion on your screen ?
All I can say is : 
- release FC3 : no text mode problem
- release FC4 : text mode problem
- release FC4 + xorg.x11.*.6.8.2-45 : text mode problem
Still unsure : is text mode really configured by code in the xorg.x11 packages ?
Comment 10 Dave Jones 2005-09-30 02:21:07 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 11 Philippe MENARD 2005-10-03 04:05:00 EDT
Problem solved after installing 2.6.13-1.1526_FC4. 
Please close this ticket.
Keep up the good work. 
Cheers, Philippe.

Note You need to log in before you can comment on or make changes to this bug.